giovedì 7 gennaio 2010

Dvdrip potente strumento in ambiente GNU Linux, per la creazione dei DivX, Xvid e simili

Maria Susana Diaz | 11:26 |
Oggi conosceremo lo strumento più potente, in ambiente GNU/Linux, per la creazione dei dxvi, il programma è DVD::RIP

dvd::rip è un programma che consente di convertire con relativa facilità interi DVD o loro parti in formato DivX, Xvid e simili.

In realtà è un semplice front-end grafico per il tool open source transcode, che svolge tutte le principali funzioni di conversione, al quale sono affiancati diversi altri tool che offrono funzionalità aggiuntive (ad es. manipolazione sottotitoli, conversione audio, masterizzazione, etc.).

Il risultato è un ambiente di conversione DVD piuttosto completo e facile da utilizzare. Il software è ancora giovane, per cui non mancano alcune pecche nell'interfaccia grafica e nel funzionamento generale, tuttavia promette senz'altro bene.

Vantaggi:

* Numerose funzionalità integrate in un unico software
* Più facile da utilizzare rispetto a tutti i singoli tool che integra

Svantaggi:

* Alcune pecche nell'interfaccia
* Installazione completa laboriosa a causa delle numerose dipendenze

Il programma può essere installato da sorgenti, come ogni software rilasciato dalla comunità open source, ma consiglio di usare i pacchetti precompilati distribuiti dalle singole distribuzioni, in quanto, l’ installazione richiede numerose dipendenze, che grazie ai sistemi avanzati che esistono oggigiorno, vedi apt-get, yum …, vengono gestite direttamente dal sistema, sollevando l’ utente medio da una gran quantità di grattacapi, quindi usate i seguenti comandi:

per distro derivate da Debian:

# apt-get install dvdrip

per Fedora e derivate:

# yum install dvdrip

Ci sono tanti modi per lavorare con i DVD sotto Linux, molti di questi sono interfacce grafiche per programmi originariamente concepiti per essere usati da linea di comando. Dvd::rip e' una di queste interfacce, per l'esattezza e' il front end per Transcode uno dei piu' blasonati e potenti programmi da linea di comando per l'elaborazione video sotto Linux. Tutto cio' signfica che senza avere installato Transcode dvd::rip non funzionera', quindi ecco cosa ci serve per installare ed utilizzare dvd::rip al suo minimo.

* Dvd::rip 0.50.16 -> http://www.exit1.org/dvdrip/
* Transcode 0.6.11 -> http://zebra.fh-weingarten.de/~transcode/
* ImageMagick -> http://www.rpmseek.com/index.html

Dipendenze di Transcode L'unico problema con Transcode sono le dipendenze. Dando il comando ./configure nella cartella di transcode (da console ovviamente) otterete un output finale che vi dice cosa c'e' installato e cosa no sul vostro PC.

Per esempio:
---------------------------------------------------------- Summary for transcode 0.6.11 features: *-*-*-*-*-*-* Core *-*-*-*-*-*-* static AV-frame buffering yes support for network (sockets) streams yes DVD navigation support with libdvdread yes link against local lame library (>=3.89) | ver no | static pvm3 support no *-*-*-*-*-*-* Codec *-*-*-*-*-*-* nasm dependent modules (bbmpeg) yes mjpegtools dependent modules yes libdv dependent modules yes Ogg support | Vorbis support | Theora support yes | yes | no Default xvid export module xvid2 liba52 audio plugin (>=0.7.3) | default decoder yes | yes avifile API support no ImageMagick dependent modules (>=5.4.3) no libjpeg dependent modules | mmx accel yes | no liblzo dependent modules yes libxml2 dependent modules yes experimental v4l support yes experimental lve support no libmpeg3 dependent modules yes libfame video encoding plugin yes quicktime dependent modules no *-*-*-*-*-*-* Filter *-*-*-*-*-*-* libpostproc dependent filter plugin yes X11 dependent filter plugins yes freetype2 dependent filter (filter_text) no Il vostro probabilmente sara' differente.

Ci saranno molti piu' no.

Bene vi potete sbizzarrire a trasformare i vostri no in yes.

Avere Transcode con le dipendenze risolte puo' essere utile visto che programmi come k3b ed mplayer, ad esempio, utilizzano transcode per lavorare sull'encoding dei DVD. A vostra discrezione quali dipendenze risolvere e quali no. Comunque visto che andremo a comprimere audio e video di un DVD sono necessari i vari codec audio, l'xvid, e tutto cio' che ha a che fare con i DVD. Nel mio caso Transcode non vede ImageMagick, probabilmente perche' la versione che ho installata e' la 5.5.7.10-7.

Questo comunque non crea problemi a dvd::rip. Divx.

Per quanto riguarda il divx, potete andare su http://www.divx.com/ scaricare dalla sezione download la versione per Linux e poi seguire le istruzioni a questo link per l'installazione: http://forums.divx.com/viewtopic.php?topic=41840&forum=15 Dipendenze di dvd::rip -> Perl Dal sito di dvd::rip apprendiamo che per installare dvd::rip e' necessario Perl, versione consigliata 5.8.0. Nei tre CD di MDK e' presente la versione 5.8.1, installabile dal Centro di Controllo MDK.

Sempre sul sito sono consigliati altri software non necessari ma utili, come le librerie per gestire i sottotitoli, quelle rar per comprimerli e risparmiare spazio sull'avi finale e quant'altro.

Installare dvd::ripPensavate che non ci saremmo mai arrivati ed invece eccoci, con una considerazione, di fatto tutto l'occorrente lo abbiamo installato e potremmo gia' cominciare a rippare e comprimere ma dovremmo farlo usando transcode da linea di comando.

Per installare dvd::rip basta seguire la procedura consigliata sul sito: perl Makefile.PL make make test Se non ci sono errori allora si puo' procedere con l'installazione che va eseguita con i privilegi di root e possiamo dare: make install.




Se ti è piaciuto l'articolo, iscriviti al feed per tenerti sempre aggiornato sui nuovi contenuti del blog
:

TiPI (Ti Potrebbe Interessare)


LinuxLinks



GOOGLE+

LINKEDIN

Xtreme Download Manager, XDMAN Ubuntu, audio, Linux opera mini, browser internet Chromium Linux, Chrome, browsers tux collection, mascote Linux LibreCAD, Grafica, Disegno vim, editor, linux, ubuntu Ardour, audio, Ubuntu Unity, deskyop, Gnome, Ubuntu grafica 3d, Linux, Blender